package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity //@Audited
@Table(name = "DiagnosaTindakans_T")
public class DiagnosaTindakans extends BaseTransaction{
	
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name = "ObjectDiagnosaTindakanFk")
	@Caption(value="Object DiagnosaTindakan")
	private DiagnosaTindakan diagnosaTindakan;
	
	@Column(name = "ObjectDiagnosaTindakanFk", insertable=false,updatable=false,nullable=false)
	private Integer diagnosaTindakanId;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name = "ObjectRehabilitasiFormulirKlaimFk")
	@Caption(value="Object RehabilitasiFormulirKlaim")
	private RehabilitasiFormulirKlaim rehabilitasiFormulirKlaim;
	
	@Column(name = "ObjectRehabilitasiFormulirKlaimFk", insertable=false,updatable=false,nullable=false)
	private String rehabilitasiFormulirKlaimId;
	
	@Column(name = "diagnosisFungsi")
	@Caption(value="diagnosisFungsi")
	private Boolean diagnosisFungsi;
	
	@Column(name = "tataLaksanaKFR")
	@Caption(value="tataLaksanaKFR")
	private Boolean tataLaksanaKFR;
	
	@Column(name = "diagnosisMedis")
	@Caption(value="diagnosisMedis")
	private Boolean diagnosisMedis;

	public DiagnosaTindakan getDiagnosaTindakan() {
		return diagnosaTindakan;
	}

	public void setDiagnosaTindakan(DiagnosaTindakan diagnosaTindakan) {
		this.diagnosaTindakan = diagnosaTindakan;
	}

	public Integer getDiagnosaTindakanId() {
		return diagnosaTindakanId;
	}

	public void setDiagnosaTindakanId(Integer diagnosaTindakanId) {
		this.diagnosaTindakanId = diagnosaTindakanId;
	}

	public Boolean getDiagnosisFungsi() {
		return diagnosisFungsi;
	}

	public void TataLaksanaKFR(Boolean diagnosisFungsi) {
		this.diagnosisFungsi = diagnosisFungsi;
	}

	public Boolean getTataLaksanaKFR() {
		return tataLaksanaKFR;
	}

	public void setTataLaksanaKFR(Boolean tataLaksanaKFR) {
		this.tataLaksanaKFR = tataLaksanaKFR;
	}

	public Boolean getDiagnosisMedis() {
		return diagnosisMedis;
	}

	public void setDiagnosisMedis(Boolean diagnosisMedis) {
		this.diagnosisMedis = diagnosisMedis;
	}

	public RehabilitasiFormulirKlaim getRehabilitasiFormulirKlaim() {
		return rehabilitasiFormulirKlaim;
	}

	public void setRehabilitasiFormulirKlaim(RehabilitasiFormulirKlaim rehabilitasiFormulirKlaim) {
		this.rehabilitasiFormulirKlaim = rehabilitasiFormulirKlaim;
	}

	public String getRehabilitasiFormulirKlaimId() {
		return rehabilitasiFormulirKlaimId;
	}

	public void setRehabilitasiFormulirKlaimId(String rehabilitasiFormulirKlaimId) {
		this.rehabilitasiFormulirKlaimId = rehabilitasiFormulirKlaimId;
	}

	public void setDiagnosisFungsi(Boolean diagnosisFungsi) {
		this.diagnosisFungsi = diagnosisFungsi;
	}

}
